Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 119175 - rpmbuild -ta constructs srpm with permissions 600 for spec file
rpmbuild -ta constructs srpm with permissions 600 for spec file
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-25 18:05 EST by Patrice Dumas
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-27 18:26:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2004-03-25 18:05:11 EST
Description of problem:

Doing a rpmbuild -ta on a package. After that running rpmlint on the 
package rpmlint complains that the spec file has permissions 0600.

The spec file in the package has permission 0644:
[pat@localhost src]$ ls -l texi2html-1.70/texi2html.spec
-rw-r--r--  1 pat pat 1652 mar 25 02:06 texi2html-1.70/texi2html.spec

I do a 
[pat@localhost src]$ rpmbuild -ta texi2html-1.70.tar.bz2

It builds fine. Then rpmlint gives:

[pat@localhost src]$ rpmlint
~/rpmbuild/SRPMS/texi2html-1.70-0.fdr.1.src.rpm
E: texi2html no-packager-tag
E: texi2html no-signature
W: texi2html strange-permission texi2html.spec 0600

Version-Release number of selected component (if applicable):

4.3.0-0.22

How reproducible:

Always.

Steps to Reproduce:
1. do a rpmbuild -ta on a package tarball 
2. run rpmlint on the generated sepm
3.
  
Actual results:

W: texi2html strange-permission texi2html.spec 0600

Expected results:

No warning.

Additional info:
Comment 1 Jeff Johnson 2004-03-27 18:26:20 EST
Fix your umask setting.
Comment 2 Patrice Dumas 2004-04-15 16:29:03 EDT
I may be wrong but it seems to me that my umask setting is right:
[pat@localhost pat]$ umask -S
u=rwx,g=rwx,o=rx
[pat@localhost pat]$ umask
0002


Note You need to log in before you can comment on or make changes to this bug.